org.icefaces.ace.component.column

## Interface IColumn

- All Known Subinterfaces:
    IProxiableColumn
  All Known Implementing Classes:
    Column, ColumnBase, ProxiedBodyColumn

      public interface IColumn

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColspan()`
    `java.lang.Object` | `getFilterBy()`
    `java.lang.String` | `getFilterMatchMode()`
    `java.lang.Object` | `getFilterOptions()`
    `java.lang.String` | `getFilterStyle()`
    `java.lang.String` | `getFilterStyleClass()`
    `java.lang.String` | `getFilterValue()`
    `java.lang.Object` | `getFilterValues()`
    `java.lang.String` | `getFooterText()`
    `java.lang.Object` | `getGroupBy()`
    `java.lang.String` | `getHeaderText()`
    `java.lang.String` | `getLazyColumnKey()`
    `java.lang.Integer` | `getPinningOrder()`
    `int` | `getRowspan()`
    `java.lang.Object` | `getSelectBy()`
    `java.lang.Object` | `getSortBy()`
    `java.util.Comparator` | `getSortFunction()`
    `java.lang.Integer` | `getSortPriority()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `boolean` | `isConfigurable()`
    `boolean` | `isHideSortControls()`
    `boolean` | `isReorderable()`
    `java.lang.Boolean` | `isSortAscending()`
    `boolean` | `isSortWhenGrouping()`
    `boolean` | `isStacked()`
    `void` | `setColspan(int colspan)`
    `void` | `setConfigurable(boolean configurable)`
    `void` | `setFilterBy(java.lang.Object filterBy)`
    `void` | `setFilterMatchMode(java.lang.String filterMatchMode)`
    `void` | `setFilterOptions(java.lang.Object filterOptions)`
    `void` | `setFilterStyle(java.lang.String filterStyle)`
    `void` | `setFilterStyleClass(java.lang.String filterStyleClass)`
    `void` | `setFilterValue(java.lang.String filterValue)`
    `void` | `setFilterValues(java.lang.Object filterValues)`
    `void` | `setFooterText(java.lang.String footerText)`
    `void` | `setGroupBy(java.lang.Object groupBy)`
    `void` | `setHeaderText(java.lang.String headerText)`
    `void` | `setHideSortControls(boolean hideSortControls)`
    `void` | `setLazyColumnKey(java.lang.String lazyColumnKey)`
    `void` | `setPinningOrder(java.lang.Integer pinningOrder)`
    `void` | `setReorderable(boolean reorderable)`
    `void` | `setRowspan(int rowspan)`
    `void` | `setSelectBy(java.lang.Object selectBy)`
    `void` | `setSortAscending(java.lang.Boolean sortAscending)`
    `void` | `setSortBy(java.lang.Object sortBy)`
    `void` | `setSortFunction(java.util.Comparator sortFunction)`
    `void` | `setSortPriority(java.lang.Integer sortPriority)`
    `void` | `setSortWhenGrouping(boolean sortWhenGrouping)`
    `void` | `setStacked(boolean stacked)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`

- - ### Method Detail

    - #### setColspan

          void setColspan(int colspan)

    - #### getColspan

          int getColspan()

    - #### setConfigurable

          void setConfigurable(boolean configurable)

    - #### isConfigurable

          boolean isConfigurable()

    - #### setFilterBy

          void setFilterBy(java.lang.Object filterBy)

    - #### getFilterBy

          java.lang.Object getFilterBy()

    - #### setFilterMatchMode

          void setFilterMatchMode(java.lang.String filterMatchMode)

    - #### getFilterMatchMode

          java.lang.String getFilterMatchMode()

    - #### setFilterOptions

          void setFilterOptions(java.lang.Object filterOptions)

    - #### getFilterOptions

          java.lang.Object getFilterOptions()

    - #### setFilterStyle

          void setFilterStyle(java.lang.String filterStyle)

    - #### getFilterStyle

          java.lang.String getFilterStyle()

    - #### setFilterStyleClass

          void setFilterStyleClass(java.lang.String filterStyleClass)

    - #### getFilterStyleClass

          java.lang.String getFilterStyleClass()

    - #### setFilterValue

          void setFilterValue(java.lang.String filterValue)

    - #### getFilterValue

          java.lang.String getFilterValue()

    - #### setFilterValues

          void setFilterValues(java.lang.Object filterValues)

    - #### getFilterValues

          java.lang.Object getFilterValues()

    - #### setFooterText

          void setFooterText(java.lang.String footerText)

    - #### getFooterText

          java.lang.String getFooterText()

    - #### setGroupBy

          void setGroupBy(java.lang.Object groupBy)

    - #### getGroupBy

          java.lang.Object getGroupBy()

    - #### setHeaderText

          void setHeaderText(java.lang.String headerText)

    - #### getHeaderText

          java.lang.String getHeaderText()

    - #### setHideSortControls

          void setHideSortControls(boolean hideSortControls)

    - #### isHideSortControls

          boolean isHideSortControls()

    - #### setLazyColumnKey

          void setLazyColumnKey(java.lang.String lazyColumnKey)

    - #### getLazyColumnKey

          java.lang.String getLazyColumnKey()

    - #### setPinningOrder

          void setPinningOrder(java.lang.Integer pinningOrder)

    - #### getPinningOrder

          java.lang.Integer getPinningOrder()

    - #### setReorderable

          void setReorderable(boolean reorderable)

    - #### isReorderable

          boolean isReorderable()

    - #### setRowspan

          void setRowspan(int rowspan)

    - #### getRowspan

          int getRowspan()

    - #### setSelectBy

          void setSelectBy(java.lang.Object selectBy)

    - #### getSelectBy

          java.lang.Object getSelectBy()

    - #### setSortAscending

          void setSortAscending(java.lang.Boolean sortAscending)

    - #### isSortAscending

          java.lang.Boolean isSortAscending()

    - #### setSortBy

          void setSortBy(java.lang.Object sortBy)

    - #### getSortBy

          java.lang.Object getSortBy()

    - #### setSortFunction

          void setSortFunction(java.util.Comparator sortFunction)

    - #### getSortFunction

          java.util.Comparator getSortFunction()

    - #### setSortPriority

          void setSortPriority(java.lang.Integer sortPriority)

    - #### getSortPriority

          java.lang.Integer getSortPriority()

    - #### setSortWhenGrouping

          void setSortWhenGrouping(boolean sortWhenGrouping)

    - #### isSortWhenGrouping

          boolean isSortWhenGrouping()

    - #### setStacked

          void setStacked(boolean stacked)

    - #### isStacked

          boolean isStacked()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.